Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Interface AbstractBackendInterface

All Superinterfaces:
  QtJambiInterface

All Known Implementing Classes:
  AbstractBackend

    public interface AbstractBackendInterface

extends QtJambiInterface

This class is internal to Qt Jambi.This class is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_AbstractBackend(long ptr)` This method is internal to Qt Jambi.
`java.util.List<java.lang.String>` | `availableMimeTypes()` This method is internal to Qt Jambi.
`boolean` | `connectNodes(QObject arg__1, QObject arg__2)` This method is internal to Qt Jambi.
`QObject` | `createObject(AbstractBackend.Class c, QObject parent, java.util.List<java.lang.Object> args)` This method is internal to Qt Jambi.
`boolean` | `disconnectNodes(QObject arg__1, QObject arg__2)` This method is internal to Qt Jambi.
`boolean` | `endConnectionChange(java.util.Set<QObject> arg__1)` This method is internal to Qt Jambi.
`java.util.List<java.lang.Integer>` | `objectDescriptionIndexes(Phonon.ObjectDescriptionType type)` This method is internal to Qt Jambi.
`java.util.HashMap<QByteArray,java.lang.Object>` | `objectDescriptionProperties(Phonon.ObjectDescriptionType type, int index)` This method is internal to Qt Jambi.
`boolean` | `startConnectionChange(java.util.Set<QObject> arg__1)` This method is internal to Qt Jambi.

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### availableMimeTypes

    java.util.List<java.lang.String> availableMimeTypes()

  This method is internal to Qt Jambi.

### connectNodes

    boolean connectNodes(QObject arg__1,
                         QObject arg__2)

  This method is internal to Qt Jambi.

### createObject

    QObject createObject(AbstractBackend.Class c,
                         QObject parent,
                         java.util.List<java.lang.Object> args)

  This method is internal to Qt Jambi.

### disconnectNodes

    boolean disconnectNodes(QObject arg__1,
                            QObject arg__2)

  This method is internal to Qt Jambi.

### endConnectionChange

    boolean endConnectionChange(java.util.Set<QObject> arg__1)

  This method is internal to Qt Jambi.

### objectDescriptionIndexes

    java.util.List<java.lang.Integer> objectDescriptionIndexes(Phonon.ObjectDescriptionType type)

  This method is internal to Qt Jambi.

### objectDescriptionProperties

    java.util.HashMap<QByteArray,java.lang.Object> objectDescriptionProperties(Phonon.ObjectDescriptionType type,
                                                                               int index)

  This method is internal to Qt Jambi.

### startConnectionChange

    boolean startConnectionChange(java.util.Set<QObject> arg__1)

  This method is internal to Qt Jambi.

### __qt_cast_to_AbstractBackend

    long __qt_cast_to_AbstractBackend(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD